//ObliqueBoundaryControlPanel2.java
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;  

public class TotalReflectionControlPanel extends Panel{
    private static final Color bgcolor = new Color(246,246,246);
    private static final Font labfont=new Font("SanSerif",Font.PLAIN,10);
    //private static final Color bgcolor = new Color(170,240,240);
    public Button show_hide, hide_show;
    private boolean isPolarizationParallel = true;
    
    public TotalReflectionControlPanel(){
	super();
	setBackground(bgcolor);
        setLayout(null);
        
        show_hide = new Button("Show");
        add(show_hide);
	show_hide.setBounds(1,1,50,20);
        
        hide_show = new Button("Hide");
        add(hide_show);
	hide_show.setBounds(1,1,50,20);
        
    }
    public void paint(Graphics g){
	    
        g.setColor(Color.black);
        //g.draw3DRect(0,0,getSize().width-1,getSize().height-1,false);  
        g.drawRect(0,0,getSize().width-1,getSize().height-1);  
            if(isPolarizationParallel){
                //g.setColor(Color.blue);
                //MaestroG.subscripterB("H","\u22a5","",g,12,200,13);
            }
            else{
                //g.setColor(Color.magenta.darker());
                //MaestroG.subscripterB("E","\u22a5","",g,12,200,13);
            }
    }
    
    public void setPolarization(boolean flag){
        this.isPolarizationParallel = flag;
    }

}